package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.admin.bo.AdminLocationBo;
import com.goafanti.common.model.AdminLocation;

public interface AdminLocationMapper {
    int deleteByPrimaryKey(String id);

    int insert(AdminLocation record);

    int insertSelective(AdminLocation record);

    AdminLocation selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AdminLocation record);

    int updateByPrimaryKey(AdminLocation record);

	void insertBatch(List<AdminLocation> adminLocationList);

	List<Integer> selectProvinceWhereCityIsNullByAdminId(String adminId);

	List<Integer> selectCityByAdminId(String adminId);

	List<AdminLocationBo> selectByAdminId(String adminId);

	int deleteByAdminId(String id);

}